#include <stdio.h>
#include <sys/io.h>
#include <errno.h>
#include <stdlib.h>
#include <unistd.h>

#define die(x) \
{ \
        char buf[BUFSIZ]; \
                snprintf(buf, sizeof(buf), \
                                "%s: %d: %s: %s", \
                                __FILE__, (int) __LINE__, __FUNCTION__,  x); \
                perror(buf); \
                exit(EXIT_FAILURE); \
}

int
main(void)
{
        int ret;
        unsigned int word;

        ret = ioperm(0xe800,8,1);
        if (ret < 0) {
                die("ioperm");
        }
        word = inw(0xe804);
        printf("0x%04x\n", 0x0 | word);

        word = inw(0xe806);
        printf("0x%04x\n", 0x0 | word);

        ret = ioperm(0xe800,8,0);
        if (ret < 0) {
                die("ioperm");
        }

        return(EXIT_SUCCESS);
}

